# Get premium listings

```http
GET https://api.synup.com/api/v4/locations/{locationId}/listings/premium
```

This API retrieves all premium listings associated with a specific location.

**Response Includes:**
- Sync status – Indicates whether the listing is synced successfully.
- Display status – Shows whether the listing is live on the platform.
- Platform details – Includes directories such as Google Maps, Apple Maps, and other listing sites.

Source: https://developer.synup.com/api/listings/get-premium-listings

## Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `locationId` | string | required | Node ID of the location |

## Header parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `Content-Type` | string | required |  |

## Example request

```bash
curl -X GET 'https://api.synup.com/api/v4/locations/:locationId/listings/premium' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json'
```

## Responses

| Status | Description |
| --- | --- |
| `200` | Premium listings retrieved successfully |
